# Lineární vektorové prostory

Příklady:

| zápis      | typ                                         |
| ---------- | ------------------------------------------- |
| $R^2, R^3$ | geometrické vektory o 2, resp. 3 složkách   |
| $R^n$      | n-tice reálných čísel (aritmetické vektory) |
| $M_{m,n}$  | všechny matice typu m/n (nad $R$, nad $C$)  |
| $P_n$      | všechny polynomy stupně nejvýše n           |
| $C(a,b)$   | všechny funkce spojité na $<a, b>$          |

Vektorový prostor V nad tělesem K:
- sčítání: $V + V \to V$
- násobení: $K \times V \to V$

| typ | pro všechna                                       | platí                                                           |
| --- | ------------------------------------------------- | --------------------------------------------------------------- |
| S   | $\forall \vec{u}, \vec{v} \in V$                  | $\vec{u} + \vec{v} = \vec{w}$                                   |
| S   | $\forall \vec{u}, \vec{v}, \vec{w} \in V$         | $\vec{u} + (\vec{v} + \vec{w}) = (\vec{u} + \vec{v}) + \vec{w}$ |
| S   | $\exists \vec{o} \in V : \forall \vec{u} \in V$   | $\vec{u} + \vec{o} = \vec{u}$                                   |
| S   | $\forall \vec{u} \in V \ \ \exists \vec{v} \in V$ | $\vec{u} + \vec{v} = \vec{o}$                                   |
| N   | $\forall \vec{u} \in V, \forall a, b \in K$       | $a \times (b \times \vec{u}) = (a \times b) \times \vec{u}$     |
| N   | $\forall \vec{u} \in V$                           | $1 \times \vec{u} = \vec{u}$                                    |
| D   | $\forall \vec{u} \in V, \forall a, b \in K$       | $(a + b) \times \vec{u} = a\vec{u} + b\vec{u}$                  |
| D   | $\forall \vec{u}, \vec{v} \in V, \forall a \in K$ | $a \times (\vec{u} + \vec{v}) = a\vec{u} + a\vec{v}$            |

Mějme vektorový prostor V nad tělesem K. Množina $U \subseteq V$ je podprostorem V, pokud platí:
1) $\forall \vec{u}, \vec{v} \in U : \vec{u} + \vec{v} \in U$
2) $\forall \vec{u} \in U, \forall a \in K : a \times \vec{u} \in U$
	- vyplývá, že v $U$ bude nulový vektor

Každý podprostor vektorového prostoru je také vektorovým prostorem.

### Lineární obal

- všechny lineární kombinace zadaných vektorů
- $<\vec{u}; \vec{v}>$

### Operace s podprostory

- Sjednocení $u_{1} \cup u_{2}$
	- Musí platit:
		- $u_{1} \subseteq u_{2}$
		- $u_{2} \subseteq u_{1}$